import { effectScope, onScopeDispose, watch } from 'vue';
export function useToggleScope(source, fn) {
  let scope;
  function start() {
    scope = effectScope();
    scope.run(() => fn.length ? fn(() => {
      var _scope;
      (_scope = scope) == null ? void 0 : _scope.stop();
      start();
    }) : fn());
  }
  watch(source, active => {
    if (active && !scope) {
      start();
    } else if (!active) {
      var _scope2;
      (_scope2 = scope) == null ? void 0 : _scope2.stop();
      scope = undefined;
    }
  }, {
    immediate: true
  });
  onScopeDispose(() => {
    var _scope3;
    (_scope3 = scope) == null ? void 0 : _scope3.stop();
  });
}
//# sourceMappingURL=toggleScope.mjs.map